# Xmaxima Manual

Jaime E. Villate

Copyright © 2006 Jaime E. Villate

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.

[ << ] | [ < ] | [ Up ] | [ > ] | [ >> ] |  |  |  |  | [Top] | [Contents] | [Index] | [ ? ]

Xmaxima is a graphical interface for Maxima, written in Tcl/Tk. It also provides the openmath plotting program for Maxima, which can do some of the plots done by Maxima’s default plotter (gnuplot) and a few more that gnuplot cannot do.

This manual was written for version 5.11.0 of Xmaxima. Some familiarity with Maxima 5.11.0 is assumed. There is a separate reference manual for Maxima, which can be browsed and studied from Xmaxima.

# 1 Command-line options

The executable program, xmaxima, accepts the following command-line options:

`-help`
`-h`

  Displays a brief usage summary.

`-url site`

  Start Xmaxima’s browser with the page at the URL ‘`site`’

`-use-version ver`
`-u ver`

  Launch version ‘`ver`’ of Maxima.

`-lisp flavor`
`-l flavor`

  Use the lisp implementation ‘`flavor`’ of Maxima.

[ << ] | [ >> ] |  |  |  |  |  | [Top] | [Contents] | [Index] | [ ? ]

This document was generated on June 7, 2020 using makeinfo.